Mailinglist Archive: opensuse-factory (368 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20180620 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20180620

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
accountsservice (0.6.45 -> 0.6.49)
acpid (2.0.28 -> 2.0.29)
apulse (0.1.10 -> 0.1.12)
autoyast2 (4.0.53 -> 4.0.56)
bbswitch (0.8_k4.17.1_1 -> 0.8_k4.17.2_1)
dpdk (18.02.1_k4.17.1_1 -> 18.02.2_k4.17.2_1)
epiphany (3.28.2.1 -> 3.28.3.1)
evolution-rss
exo (0.12.0 -> 0.12.1)
hdjmod (1.28_k4.17.1_1 -> 1.28_k4.17.2_1)
hylafax+
intel-vaapi-driver
kernel-source (4.17.1 -> 4.17.2)
libguestfs
libstorage-ng (3.3.294 -> 3.3.310)
link-grammar (5.4.4 -> 5.5.0)
lxterminal
nano (2.9.7 -> 2.9.8)
ncftp
okteta (17.12.3 -> 0.25.0)
patterns-yast (20180427 -> 20180613)
perl-Date-Manip (6.70 -> 6.72)
perl-Image-ExifTool (11.00 -> 11.01)
polkit-default-privs
pulseaudio
python-pygame
squid (4.0.24 -> 4.0.25)
systemd
thunar (1.6.14 -> 1.8.1)
thunar-plugin-archive (0.3.1 -> 0.4.0)
thunar-plugin-media-tags (0.2.1 -> 0.3.0)
thunar-volman (0.8.1 -> 0.9.0)
tmux
transactional-update (2.4 -> 2.5)
xdg-desktop-portal-kde (5.13.0 -> 5.13.1)
xfdesktop
xtables-addons (3.0_k4.17.1_1 -> 3.0_k4.17.2_1)
yast2 (4.0.74 -> 4.0.77)
yast2-add-on (4.0.8 -> 4.1.0)
yast2-bootloader (4.1.0 -> 4.1.4)
yast2-firstboot (4.0.4 -> 4.0.5)
yast2-installation (4.0.61 -> 4.1.2)
yast2-journal (4.0.0 -> 4.1.0)
yast2-packager (4.0.63 -> 4.1.0)
yast2-pkg-bindings (4.0.10 -> 4.0.11)
yast2-storage-ng (4.0.183 -> 4.0.192)
yast2-update (4.0.12 -> 4.0.16)

=== Details ===

==== accountsservice ====
Version update (0.6.45 -> 0.6.49)
Subpackages: accountsservice-lang libaccountsservice0
typelib-1_0-AccountsService-1_0

- Add accountsservice-missing-users-on-gdm-login.patch: Don't abort
loading users when an /etc/shadow entry found missing
(boo#1090003 fdo#106904).
- Update to version 0.6.49:
+ Fix crash on startup from previous compiler warning fix.
- Changes from version 0.6.48:
+ Fix crashes when adding admin user and when user is removed.
+ Performance improvements handling really large wtmp files.
- Changes from version 0.6.47:
+ Fix problem where libaccountsservice users weren't getting
property change updates.
+ Reduce memory usage of cached users in daemon process.
+ Drop premature user-added/user-removed signals that erroneously
get emitted before ListCachedUsers call finishes.
- Update to version 0.6.46:
+ Fix systemd unit file to use default standard output;
+ Performance improvements;
+ Leak fixes;
+ Crash fixes;
+ Support extra groups for admin users;
+ Add policy that allows admins to allow users to change their
own password;
+ Introspection fixes;
+ Elogind support;
+ Decruftification of username blacklist;
+ Updated translations.
- Add:
+ gio-2.0 and gio-unix-2.0 pkgconfig modules BuildRequires to
avoid implicit dependencies.
+ xmlto and xsltproc BuildRequires to enable documentation.
- Drop remove-no-longer-used-system-accounts.patch: fixed upstream.
- Rebase patches:
+ accountsservice-sysconfig.patch and
+ accountsservice-filter-suse-accounts.patch.

==== acpid ====
Version update (2.0.28 -> 2.0.29)

- Update to 2.0.29:
* Decouple -d and -f options. Bug #15.
* Rename acpid_debug -> debug_level.
* Log missing input layer as a warning.

==== apulse ====
Version update (0.1.10 -> 0.1.12)
Subpackages: apulse-32bit

- Update to version 0.1.12 (changes since 0.1.10):
* Implement new, free, and write functions of the pa_simple_*
family.
* Add some documentation about issues related to sandboxing.
* Drop the libpulsecommon-5.0.so binary.
* Add stub functions for the mainloop-glib interface.
* add a man- page.
* Cosmetic code changes.
* Misc compatibility fixes.
- Add apulse-fix-pulse-12.patch sor.alexei@xxxxxxxx: Fix
PulseAudio 12+ compatibility.
- Remove apulse-link-math.patch.
- Use %cmake_install.
- Rewrite the apulse script in Python 3 to avoid insecure config
reading from home. The apulse.conf format was changed, and the
user config also was moved from ~/.apulse.conf to
$XDG_CONFIG_HOME/apulse.conf.

==== autoyast2 ====
Version update (4.0.53 -> 4.0.56)
Subpackages: autoyast2-installation

- Showing AutoYaST configuration file errors onetime only.
(needed for bnc#1095113)
- 4.0.56
- Partition configuration: Do not ask for saving values if they have
not been changed at all. (bnc#1082556)
- 4.0.55
- Using new libstorage-ng in order to handle "label" tag in URL.
E.G.: autoyast=label://my_home//autoinst.xml (bnc#1094533)
- 4.0.54

==== bbswitch ====
Version update (0.8_k4.17.1_1 -> 0.8_k4.17.2_1)

- Use %{?linux_make_arch} when building kernel modules (boo#1098050).

==== dpdk ====
Version update (18.02.1_k4.17.1_1 -> 18.02.2_k4.17.2_1)

- Update to 18.0.2.2; some of the changes are:
* Added function to allow releasing internal EAL resources on exit
* Added igb, ixgbe and i40e ethernet driver to support RSS with flow API
* Updated i40e driver to support PPPoE/PPPoL2TP
* Added MAC loopback support for i40e
* Added support of run time determination of number of queues per i40e VF
* Updated mlx4/mlx5 driver
* Added NVGRE and UDP tunnels support in Solarflare network PMD
* Added AVF (Adaptive Virtual Function) net PMD
* Added feature supports for live migration from vhost-net to vhost-user
* Updated the AESNI-MB PMD
* Updated the DPAA_SEC crypto driver to support rte_security
* Added New eventdev Ordered Packet Distribution Library (OPDL) PMD
* Added GRO support for VxLAN-tunneled packets
- Removed 0002-dpdk-eal-ppc-rte_smp_mb.patch since incorporated
upstream

==== epiphany ====
Version update (3.28.2.1 -> 3.28.3.1)
Subpackages: epiphany-lang gnome-shell-search-provider-epiphany

- Add epiphany-uri-tester-fixes.patch: Fix urlcache memory leak and
fix cache lookups when URI is not matched
(glgo#GNOME/epiphany#37).
- Add
epip-revert-gsb-storage-dont-hardcode-Linux-threat-lists.patch:
Revert gsb-storage: Don't hardcode Linux threat lists.
- Update to version 3.28.3.1:
+ Fix missing symbol in 3.28.3 (glgo#GNOME/epiphany#33).
- Changes from version 3.28.3:
+ Fix CVE-2018-11396/CVE-2018-12016 (bgo#795740).
+ Allow Ctrl+T in app mode again due to unintended consequences
(bgo#796204).
+ Don't remember passwords when the setting is disabled
(bgo#796219).
+ Fix password manager crash on chase.com
(glgo#GNOME/epiphany#11).
- Drop epiphany-fix-crash-CVE-2018-11396.patch: Fixed upstream.
- Drop epiphany-bring-back-tabs-webapp.patch: Upstream reverted the
change too, so patch no longer needed.

==== evolution-rss ====
Subpackages: evolution-plugin-rss evolution-plugin-rss-lang

- Add evolution-rss-drop-gconf-for-good.patch: Drop gconf2 for
good (glgo#GNOME/evolution-rss/#2).
- Following the above patch, drop gconf2-devel BuildRequires and
glib2_gsettings_schema_requires macro: No longer mandatory.
- Add evolution-rss-use-unicode.patch: Use Unicode in translatable
strings and remove markup from strings in UI files
(glgo#GNOME/evolution-rss/#1).
- Drop post(un) handling of glib2_gsettings_schema_post(un), no
longer needed on new versions of openSUSE.
- Drop update-desktop-files BuildRequires and
suse_update_desktop_file macro, no longer needed.
- Modernize spec, use autosetup and make_build macros.

==== exo ====
Version update (0.12.0 -> 0.12.1)
Subpackages: exo-data exo-helpers exo-lang exo-tools libexo-1-0 libexo-2-0

- update to 0.12.1 (Stable Release)
* Bug Fixes:
- Use "user-bookmarks" instead of "bookmark-new" (bxo#14243)
- Properly scale app icons in Preferred Apps dialog (bxo#14362)
- Remove pure attribute of function that returns void (bxo#14427)
- Missing varargs init or cleanup (CID #30799)
- Uninitialized scalar variable (CID #127777)
* Compiler Support:
- Disable -Wexpansion-to-defined (GCC 7)
- Fix various other compiler warnings (GCC 7)
- Fix -Wcast-function-type (GCC 8)
* Helpers:
- Add PCManFM-Qt (from LXQt) to supported file managers
(bxo#14333)
* ExoIconChooserDialog
- Drop deprecated International icon context, add Stock icon
context
- Increase icon chooser context title length to support long
translations
- Skip symbolic icons to boost performance
- Added GTK 3 test to test suite
* Translation Updates

==== hdjmod ====
Version update (1.28_k4.17.1_1 -> 1.28_k4.17.2_1)

- Use %{?linux_make_arch} when building kernel modules (boo#1098050).

==== hylafax+ ====
Subpackages: hylafax+-client libfaxutil5_5_9

- boo#1091476: hfaxd needs to run as root
otherwise error message '550 Cannot set privileges'

==== intel-vaapi-driver ====

- Add pkgconfig(libva-wayland) BuildRequires: Build full wayland
support.

==== kernel-source ====
Version update (4.17.1 -> 4.17.2)
Subpackages: kernel-default kernel-default-devel kernel-devel kernel-docs
kernel-macros kernel-syms

- Revert "mm: relax deferred struct page requirements"
(bnc#1092466).
- Update config files.
- commit 802b05f
- Linux 4.17.2 (bnc#1012628).
- crypto: omap-sham - fix memleak (bnc#1012628).
- crypto: vmx - Remove overly verbose printk from AES XTS init
(bnc#1012628).
- crypto: vmx - Remove overly verbose printk from AES init
routines (bnc#1012628).
- crypto: cavium - Limit result reading attempts (bnc#1012628).
- crypto: cavium - Fix fallout from CONFIG_VMAP_STACK
(bnc#1012628).
- crypto: caam - fix size of RSA prime factor q (bnc#1012628).
- crypto: caam/qi - fix IV DMA mapping and updating (bnc#1012628).
- crypto: caam - fix IV DMA mapping and updating (bnc#1012628).
- crypto: caam - fix DMA mapping dir for generated IV
(bnc#1012628).
- crypto: caam - strip input zeros from RSA input buffer
(bnc#1012628).
- Input: elan_i2c - add ELAN0612 (Lenovo v330 14IKB) ACPI ID
(bnc#1012628).
- Input: goodix - add new ACPI id for GPD Win 2 touch screen
(bnc#1012628).
- crypto: ccree - correct host regs offset (bnc#1012628).
- tty: pl011: Avoid spuriously stuck-off interrupts (bnc#1012628).
- arm64: defconfig: Enable CONFIG_PINCTRL_MT7622 by default
(bnc#1012628).
- doc: fix sysfs ABI documentation (bnc#1012628).
- vmw_balloon: fixing double free when batching mode is off
(bnc#1012628).
- serial: 8250: omap: Fix idling of clocks for unused uarts
(bnc#1012628).
- serial: samsung: fix maxburst parameter for DMA transactions
(bnc#1012628).
- tty/serial: atmel: use port->name as name in request_irq()
(bnc#1012628).
- serial: sh-sci: Stop using printk format %pCr (bnc#1012628).
- usb: gadget: udc: renesas_usb3: disable the controller's irqs
for reconnecting (bnc#1012628).
- usb: gadget: udc: renesas_usb3: should fail if devm_phy_get()
returns error (bnc#1012628).
- usb: gadget: udc: renesas_usb3: should call devm_phy_get()
before add udc (bnc#1012628).
- usb: gadget: udc: renesas_usb3: should call pm_runtime_enable()
before add udc (bnc#1012628).
- usb: gadget: udc: renesas_usb3: should remove debugfs
(bnc#1012628).
- usb: gadget: udc: renesas_usb3: fix double phy_put()
(bnc#1012628).
- usb: gadget: function: printer: avoid wrong list handling in
printer_write() (bnc#1012628).
- usb: typec: wcove: Remove dependency on HW FSM (bnc#1012628).
- usb: core: message: remove extra endianness conversion in
usb_set_isoch_delay (bnc#1012628).
- phy: qcom-qusb2: Fix crash if nvmem cell not specified
(bnc#1012628).
- Input: xpad - add GPD Win 2 Controller USB IDs (bnc#1012628).
- usb-storage: Add compatibility quirk flags for G-Technologies
G-Drive (bnc#1012628).
- usb-storage: Add support for FL_ALWAYS_SYNC flag in the UAS
driver (bnc#1012628).
- usbip: vhci_sysfs: fix potential Spectre v1 (bnc#1012628).
- NFC: pn533: don't send USB data off of the stack (bnc#1012628).
- staging: android: ion: Switch to pr_warn_once in
ion_buffer_destroy (bnc#1012628).
- kvm: x86: use correct privilege level for
sgdt/sidt/fxsave/fxrstor access (bnc#1012628).
- KVM: x86: pass kvm_vcpu to kvm_read_guest_virt and
kvm_write_guest_virt_system (bnc#1012628).
- kvm: nVMX: Enforce cpl=0 for VMX instructions (bnc#1012628).
- kvm: fix typo in flag name (bnc#1012628).
- KVM: x86: introduce linear_{read,write}_system (bnc#1012628).
- KVM: X86: Fix reserved bits check for MOV to CR3 (bnc#1012628).
- blkdev_report_zones_ioctl(): Use vmalloc() to allocate large
buffers (bnc#1012628).
- crypto: chelsio - request to HW should wrap (bnc#1012628).
- commit 202985c

==== libguestfs ====
Subpackages: guestfs-data libguestfs0 python3-libguestfs

- Remove zerofree from BuildRequires because only supermin will
consider this feature at runtime.

==== libstorage-ng ====
Version update (3.3.294 -> 3.3.310)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#538
- Add method BlkDevice#is_active
- 3.3.310
- merge gh#openSUSE/libstorage-ng#537
- updated unit test
- extended unit test
- fixed exception logging
- 3.3.309
- Translated using Weblate (Indonesian)
- 3.3.308
- Translated using Weblate (Russian)
- 3.3.307
- Translated using Weblate (French)
- 3.3.306
- merge gh#openSUSE/libstorage-ng#536
- Expose Device#devicegraph (needed for bsc#1094157)
- Encryption#set_dm_table_name adjusts #name (for bsc#1094157 and
bsc#1094963)
- Code improvement from code review
- More code improvements from code review
- 3.3.305
- Translated using Weblate (Chinese (Taiwan))
- merge gh#openSUSE/libstorage-ng#535
- Return better exception (related to bsc#1094963)
- Fix project name
- Translated using Weblate (Portuguese (Brazil))
- Translated using Weblate (Spanish)
- Translated using Weblate (Slovak)
- 3.3.304
- Translated using Weblate (Czech)
- 3.3.303
- Translated using Weblate (Italian)
- 3.3.302
- Translated using Weblate (Catalan)
- 3.3.301
- Translated using Weblate (Dutch)
- 3.3.300
- merge gh#openSUSE/libstorage-ng#534
- handle exception (see bsc#1073633)
- 3.3.299
- Translated using Weblate (Japanese)
- 3.3.298
- merge gh#openSUSE/libstorage-ng#533
- merged po files
- 3.3.297
- merge gh#openSUSE/libstorage-ng#532
- improved error handling during probing partitions (see
bsc#1095168)
- 3.3.296
- Translated using Weblate (Italian)
- 3.3.295

==== link-grammar ====
Version update (5.4.4 -> 5.5.0)

- Update to version 5.5.0:
+ Additions:
- An extended version API and use it in "link-parser
- -version".
- A per-command help in link-parser.
- A command line completion in link-parser.
- Idiom lookup in link-parser's dict lookup command.
+ Fixes:
- Memory leak when parsing with null links.
- Spurious errors if the last dict line is a comment.
- Garbage report if EOF is encountered in a quoted dict word.
- Garbage report if a whitespace is encountered in a quoted
dict word.
- random selection of linkages so that it's actually random.
+ Improve handling of quoted words (e.g. single words in "scare
quotes").

==== lxterminal ====
Subpackages: lxterminal-lang

- Build against gtk3:
* Replace gtk2-devel with pkgconfig(gtk+-3.0) and
pkgconfig(glib-2.0) BuildRequires.
* Replace vte2-devel with pkgconfig(vte-2.91) BuildRequires.
* Pass --enable-gtk3=yes to configure.
- Add lxterminal-fix-gtk3-comp-warnings.patch: Silence some
warnings during compilation, patch from upstream git.
- Add conditional for post(un) desktop_database_post(un) macros, no
longer needed for newer versions of openSUSE.

==== nano ====
Version update (2.9.7 -> 2.9.8)
Subpackages: nano-lang

- GNU nano 2.9.8:
* add ability to filter the buffer (or the marked region)
through an external command (^R^X and prefix the command with
the pipe symbol, "|")
* improve detecting and maintaining paragraphs
* support justifying //-style comments
* fix a crash when the binding of a key to a string lacks a
closing quote
* give feedback about the number of lines written also when
prepending or appending

==== ncftp ====

- Add ncftp-3.2.6-no-uname.patch to make build reproducible (boo#1084909)

==== okteta ====
Version update (17.12.3 -> 0.25.0)
Subpackages: okteta-lang

- Update to 0.25.0
* First stand-alone release independent of KDE Applications
- Changes since 0.24.3 (as part of KDE Applications 17.12.3):
* Support for opening files by Drag'n'Drop on the empty
background and the empty view tab bar space has been restored
(lost in Qt5 port)
* Closing documents per MMB on the tab has been restored (lost in
Qt5 port)
* Mass reformatting & modernization of source code
- Update build requirements and file list
- Update URL and Source URL
- Mark license files with %license instead of %doc
- Ran spec-cleaner

==== patterns-yast ====
Version update (20180427 -> 20180613)
Subpackages: patterns-yast-x11_yast patterns-yast-yast2_basis
patterns-yast-yast2_install_wf

- Added rubygem-parallel_tests as recommended in the devel_yast
pattern (bsc#1094875)
- version 20180613
- add yast2-ftp-server and yast2-tftp-server as recommended
(bsc#1081312)

==== perl-Date-Manip ====
Version update (6.70 -> 6.72)

- updated to 6.72
see /usr/share/doc/packages/perl-Date-Manip/Changes
6.72 2018-06-06
- Fixed recurrence bug
The fix in the previous version for a rare recurrence problem broke
another recurrence form. It is now corrected. Michael Schout (GitHub
[#20])
- Fixed version problem
The wrong version was included in two files for some reason. This is
fixed.
- Documentation fixes
Fixed a grammatical error reported by Xavier Guimard (GitHub #19).
6.71 2018-06-01
- Fixed an extremely rare problem with recurrences
It is possible to specify a recurrence that never produces a valid
date. In these cases, looking for dates went into an infinite loop.
The MaxRecurAttempts config variable was added which will stop that
from happening. If no occurrence was found, an error condition will
be set. Dean Hamstead (RT 123708)
- Changes file supported
It was requested that I include a valid Changes file. I wrote a
simple script to convert the Change6.pod file into a valid Change
file. The Changes6.pod file is still the canonical source of this
information! Requested by H. Merijn Brand
- Fix for timezone determination
On MacOS X High Sierra, some of the timezone files were symlinks,
but not properly followed. This was fixed by Stu Tomlinson (GitHub
[#15]).
- Time zone fixes
Newest zoneinfo data (tzdata 2018e)
- Documentation fixes
Minor fix provided by Mohammad S Anwar (GitHub #17)

==== perl-Image-ExifTool ====
Version update (11.00 -> 11.01)
Subpackages: exiftool perl-File-RandomAccess

- Update to 11.01:
* Added a new ProfileCMMType
* Added a Validate warning about non-standard EXIF or XMP in
PNG images
* Added a new Canon LensType
* Decode a couple more PanasonicRaw tags
* Patched to avoid adding tags to QuickTime videos with multiple
'mdat' atoms --> avoids potential corruption of these videos!

==== polkit-default-privs ====

- polkit-default-privs: added liblxqt backlight action (bnc#1092192)
- polkit-default-privs: whitelisting new resolve1 action of systemd
(bnc#1096907)
- polkit-default-privs: harmonized systemd comments a bit
- polkit-default-privs: new action change-own-password for accountsservice
(bnc#1088780)

==== pulseaudio ====
Subpackages: libpulse-mainloop-glib0 libpulse0 pulseaudio-bash-completion
pulseaudio-lang pulseaudio-module-bluetooth pulseaudio-module-jack
pulseaudio-module-lirc pulseaudio-module-x11 pulseaudio-module-zeroconf
pulseaudio-utils

- Revert the gconf module removal; plasma5-pa still requires it
(while paprefs git version moved to gsettings) (bsc#1092871)

==== python-pygame ====

- Get tests working.

==== squid ====
Version update (4.0.24 -> 4.0.25)

- New upstream version 4.0.25:
+ Fixed regression: querying private entries for HTCP/ICP
+ Fixed regression: deny_info %R macro not being expanded
+ Fixed regression: proxy_auth ACL -i/+i flags not working
+ Fixed regression: filter chain certificates for validity
when loading
+ Fixed regression: Transient reader locking broken in 4.0.24
+ Fixed NegotiateSsl crash on aborting transaction
+ Fixed IPC shared memory leaks when disker queue overflows
+ Update negotiate_kerberos_auth helper protocol to v3.4
+ Fixed: purge tool does not obey --sysconfdir= build option
+ Add timestamps to (most) FATAL messages
- a3f6783.patch: upstreamed, obsolete.

==== systemd ====
Subpackages: libsystemd0 libsystemd0-32bit libudev-devel libudev1
libudev1-32bit systemd-32bit systemd-coredump systemd-logger systemd-sysvinit
udev

- Import commit f63623c1fc0eb01b8efc2037d004f42ed8328356
6a161916f device: make sure to always retroactively start device dependencies
(take #2) (bsc#1088052)
e4402648c Fix pattern to detect distribution
ad59c7970 install: "user" and "global" scopes are equivalent for user presets
(boo#1093851)
b1876c81a rpm: remove confusing --user before --global
00ea8a214 man: updated systemd-analyze blame description for service-units
with Type=simple (#8834) (bsc#1091265)
a9b587e2f fileio.c: fix incorrect mtime
- Add 0001-resolved-create-etc-resolv.conf-symlink-at-runtime.patch
(boo#1024897)
- Ship systemd-resolved (but disabled by default) (bsc#1018387)

==== thunar ====
Version update (1.6.14 -> 1.8.1)
Subpackages: thunar-lang

- update to 1.8.1:
- Downgrade libxfce4-ui required version to 4.12.0
- Bump exo version to 0.12.0
- Use symbolic icon for edit button in pathbar
- Add the right-click menu item "Open with" as well for folders
- 1.8.0:
- GTK3 Port
- Replace dbus-glib with GDBus
- Improved Pathbar style for Location Selector
- Bump thunarx to version 3 and replace GtkAction with
ThunarxMenu and ThunarxMenuItem
- GObject-Introspection support for thunarx-3
- Regression: Context menu misplaced (bxo#14216)
- Prevent crash after updating thunar if old thunar deamon is
still running
- many other bugfixes, see NEWS file
- rebase / rename thunar-appdata.patch to thunar-1.8-appdata.patch
- update to 1.6.15:
* Thunar User Configurable Actions do not work for remote
locations (bxo#7652), patch from (bxo#7305)
* replaced links to "http://thunar.xfce.org/"; with
"https://docs.xfce.org/xfce/thunar/Start/";
* SIGSEGV when thumbnailer is under heavy load after opening many
tabs (bxo#13756)
* Fixed creation of .desktop file when dropping URL into folder
(bxo#14239)
* Restoring non-empty folders leaves copy in Trash (bxo#13535)
* Translation updates
- packaging: do not package huge ChangeLog, NEWS is enough

==== thunar-plugin-archive ====
Version update (0.3.1 -> 0.4.0)
Subpackages: thunar-plugin-archive-lang

- update to version 0.4.0
- GTK3 Port
- Thunarx-3 Port (Thunar >=1.7.0 required)
- Engrampa archiver is now supported
- Updated translations

==== thunar-plugin-media-tags ====
Version update (0.2.1 -> 0.3.0)
Subpackages: thunar-plugin-media-tags-lang

- update to version 0.3.0
- GTK3 Port
- Thunarx-3 Port (Thunar >=1.7.0 required)
- Do not use empty string as separator (bxo#4822)
- Translation updates

==== thunar-volman ====
Version update (0.8.1 -> 0.9.0)
Subpackages: thunar-volman-lang

- update to version 0.9.0
- GTK3 Port
- Translation updates
- add thunar-volman-0.9-fix-build-with-xfce-4.12.patch

==== tmux ====

- Add upstream
0001-Increment-the-lines-counter-when-skipping-a-line-to-.patch fixing
infinite loop when resizing the window

==== transactional-update ====
Version update (2.4 -> 2.5)

- Update to version 2.5
- Support for overlayfs attributes like trusted.overlay.opaque - this will
avoid disappearing configuration files on system updates
- Documentation update
- Only sync /etc if it's on an overlayfs mount
- Use correct locale for zypper - thus updating locale specific packages and
avoiding "empty" updates where transactional-update didn't see the change
- Add dependency to attr
- Fix permissions of systemd script

==== xdg-desktop-portal-kde ====
Version update (5.13.0 -> 5.13.1)
Subpackages: xdg-desktop-portal-kde-lang

- Update to 5.13.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/plasma-5.13.1.php
- Changes since 5.13.0:
* None

==== xfdesktop ====
Subpackages: xfdesktop-lang

- update thunarx dependency
- add 0001-Use-the-new-Thunarx-3-API.patch for thunarx-3 usage
- use %license intead of %doc for COPYING file
- remove empty %post/%postun

==== xtables-addons ====
Version update (3.0_k4.17.1_1 -> 3.0_k4.17.2_1)

- Use %{?linux_make_arch} when building kernel modules (boo#1098050).

==== yast2 ====
Version update (4.0.74 -> 4.0.77)

- display proper release notes for product (bsc#1096138)
- 4.0.77
- rename SLES_HPC -> SLE_HPC (bsc#1095053)
- 4.0.76
- Calling YAST module: Do not create a post Snapper image if the
pre Snapper image has already been failed (bnc#1093374)
- 4.0.75

==== yast2-add-on ====
Version update (4.0.8 -> 4.1.0)

- Do not ignore "priority" property when store sources (bsc#1081509)
- 4.1.0

==== yast2-bootloader ====
Version update (4.1.0 -> 4.1.4)

- Warn user when updating with different boot technology
(bsc#1081355)
- 4.1.4
- Do not propose obsolete kernel parameters (bsc#1047222)
- 4.1.3
- fix typo in parted path (bsc#1030620)
- 4.1.2
- Use full path to parted (bsc#1030620)
- 4.1.1

==== yast2-firstboot ====
Version update (4.0.4 -> 4.0.5)

- Allow going back from finish step and unified halt (bsc#1095253)
- 4.0.5

==== yast2-installation ====
Version update (4.0.61 -> 4.1.2)

- Firstboot.service: Shutdown on failure preventing the service to
hang because of a systemd dependency when trying to call halt
directly from the firsboot clients (bsc#1095253)
- 4.1.2
- Fixed possibly broken system after aborting upgrade running
over SSH (caused by a partially finished rollback) (bsc#1089643)
- fix calling copy_files_finish to not crash
(related to bsc#1095323)
- 4.1.1
- Fix crash caused by previous fix when multipath is not available
(bsc#1095323)
- Copy active_devices.txt for s390 to prevent blocking of
important devices when cio_ignore is active (bsc#1095033)
- 4.1.0

==== yast2-journal ====
Version update (4.0.0 -> 4.1.0)

- Allow to reuse journal viewer from other yast modules
(needed for bsc#1008493)
- 4.1.0

==== yast2-packager ====
Version update (4.0.63 -> 4.1.0)

- Repositories: sort by name if priorities are same (bsc#957372)
- 4.1.0
- When running the installation in textmode, consider only the
preselected language when showing the license for extensions,
modules or add-ons (related to bsc#1094793).
- 4.0.67
- During an upgrade, skip the base produce license dialog when the
same license was already accepted (bsc#1080450)
- 4.0.66
- rename SLES_HPC => SLE_HPC (bsc#1095053)
- 4.0.65
- When running the installation in textmode, consider only the
preselected language when showing the license (bsc#1094793).
- 4.0.64

==== yast2-pkg-bindings ====
Version update (4.0.10 -> 4.0.11)

- Fixed Pkg.TargetInitializeOptions() to not reset the source
manager if also the options are the same as used previously
(bsc#1095702)
- 4.0.11

==== yast2-storage-ng ====
Version update (4.0.183 -> 4.0.192)

- Fixed crash in the error callback when the text contained
non-ASCII characters in the translated message (bsc#1096758)
- 4.0.192
- allow for numbers > 32 bit in region dialog (bsc#1065258)
- 4.0.191
- Fix 'Arbitrary Option Value' translation (bsc#1081605).
- 4.0.190
- Use parallel_tests to speed up running the unit tests
(bsc#1094875), active only in SLE15-SP1/Leap-15.1
- Better auto-generated names for encryption devices:
* Based on the udev id of the encrypted devices instead of its
kernel name (bsc#760213).
* Adapted when partition numbers change, if doable (bsc#1094157).
* Prevent collision with other DeviceMapper names (bsc#1094157).
- Do not write LUKS password of the proposal into YaST logs.
- Do not crash when registering a zero-sized device into the logs.
- 4.0.189
- AutoYaST: fix handling of empty Btrfs subvolume prefixes
(bsc#1096240).
- 4.0.188
- Added method to update encryption names according to a crypttab
file (needed for bsc#1094963).
- 4.0.187
- Partitioner: fixed error when creating new BTRFS subvolumes in
an installed system (bsc#1067510).
- 4.0.186
- Partitioner: Handle limitations for volume labels (bsc#1084867)
- 4.0.185
- Partitioner: allow to move partitions (part of fate#318196).
- 4.0.184

==== yast2-update ====
Version update (4.0.12 -> 4.0.16)

- Update encryption device names according to the values in the
crypttab file (bsc#1094963).
- 4.0.16
- Flush the disk cache after restoring the backup to mitigate
risk of data loss after unexpected reboot/poweroff after aborting
upgrade (bsc#1089643)
- 4.0.15
- Fixed unmounting /mnt/dev when going back to the partition
selection dialog (fix up for the bsc#1089643)
- 4.0.14
- Copy the resolv.conf and bind mount /dev directory to the target
root, sort the restore scripts to run them in the expected
order (bsc#1089643)
- The bind mount also fixes the libzypp plugin service refresh
(bsc#1080693)
- 4.0.13


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
Follow Ups